﻿@using LAP.Areas.Adviser.Models
@model ClientSurveyModel
@{
    var investmentLiteData = Model.InvestmentLiteData ?? new LAP.DomainModels.Entities.Client.InvestmentLiteData();
}
<h3 style="margin-bottom:0">Investment</h3>
@if (!Model.ClientLoginData.ClientData.InvestmentVersion)
{
    <table class="table-custom">
        <thead>
            <tr>
                <th width="700px"></th>
                <th class="text-right">Balance</th>
                <th class="text-right">Rate of Return</th>
            </tr>
        </thead>
        <tr>
            <td colspan="3" class="font-weight-bold">Banking</td>
        </tr>
        <tr>
            <td style="padding-left:30px">Qualified Accounts (Rollover IRA, Traditional IRA, etc)</td>
            <td class="text-right">@string.Format("{0:C0}", investmentLiteData.BankInflationaryInvestmentAmount)</td>
            <td class="text-right">@(investmentLiteData.BankInflationaryRateOfReturn ?? 0)%</td>
        </tr>
        <tr>
            <td style="padding-left:30px">Non-Qualified Accounts</td>
            <td class="text-right">@string.Format("{0:C0}", investmentLiteData.BankNonInflationaryInvestmentAmount)</td>
            <td class="text-right">@(investmentLiteData.BankNonInflationaryRateOfReturn ?? 0)%</td>
        </tr>
        <tr>
            <td style="padding-left:30px" class="text-navi">Total</td>
            <td class="text-right">@string.Format("{0:C0}",investmentLiteData.BankInflationaryInvestmentAmount + investmentLiteData.BankNonInflationaryInvestmentAmount)</td>
            <td></td>
        </tr>
        <tr>
            <td colspan="3" class="font-weight-bold">Investment (Brokerage or Advisory Account)</td>
        </tr>
        <tr>
            <td style="padding-left:30px">Qualified Accounts (Rollover IRA, Traditional IRA, etc)</td>
            <td class="text-right">@string.Format("{0:C0}", investmentLiteData.BrokerageInflationaryInvestmentAmount)</td>
            <td class="text-right">@(investmentLiteData.BrokerageInflationaryRateOfReturn ?? 0)%</td>
        </tr>
        <tr>
            <td style="padding-left:30px">Non-Qualified Accounts</td>
            <td class="text-right">@string.Format("{0:C0}", investmentLiteData.BrokerageNonInflationaryInvestmentAmount)</td>
            <td class="text-right">@(investmentLiteData.BrokerageNonInflationaryRateOfReturn ?? 0)%</td>
        </tr>
        <tr>
            <td style="padding-left:30px" class="text-navi">Total</td>
            <td class="text-right">@string.Format("{0:C0}",investmentLiteData.BrokerageInflationaryInvestmentAmount + investmentLiteData.BrokerageNonInflationaryInvestmentAmount)</td>
            <td></td>
        </tr>
        <tr>
            <td colspan="3" class="font-weight-bold">Insurance (Annuities)</td>
        </tr>
        <tr>
            <td style="padding-left:30px">Qualified Accounts (Rollover IRA, Traditional IRA, etc)</td>
            <td class="text-right">@string.Format("{0:C0}", investmentLiteData.AnnuityInflationaryInvestmentAmount)</td>
            <td class="text-right">@(investmentLiteData.AnnuityInflationaryRateOfReturn ?? 0)%</td>
        </tr>
        <tr>
            <td style="padding-left:30px">Non-Qualified Accounts</td>
            <td class="text-right">@string.Format("{0:C0}", investmentLiteData.AnnuityNonInflationaryInvestmentAmount)</td>
            <td class="text-right">@(investmentLiteData.AnnuityNonInflationaryRateOfReturn ?? 0)%</td>
        </tr>
        <tr>
            <td style="padding-left:30px" class="text-navi">Total</td>
            <td class="text-right">@string.Format("{0:C0}",investmentLiteData.AnnuityInflationaryInvestmentAmount + investmentLiteData.AnnuityNonInflationaryInvestmentAmount)</td>
            <td></td>
        </tr>
    </table>
}
else
{
    <h4 style="margin-bottom:0;padding-left:10px">Bank/Credit Union Accounts</h4>
    @foreach (var item in Model.ClientLoginData.BankCreditUnionAccounts)
    {
        <div style="border:1px solid #c6c8ca;margin:10px;padding:15px;border-radius:10px">
            <div style="width: 100%; display: table;">
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Nickname:</span>
                        <span class="text-ink">@item.Nickname</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Type:</span>
                        <span class="text-ink">@item.AccountTypeString</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Owner:</span>
                        <span class="text-ink">@item.OwnByWithData</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Tax Classification:</span>
                        <span class="text-ink">@item.TaxClassificationString</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Purchase Price:</span>
                        <span class="text-ink">@(item.PurchasePrice > 0 ? string.Format("{0:C0}", item.PurchasePrice) : "-")</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Current Balance:</span>
                        <span class="text-ink">@(item.CurrentBalance > 0 ? string.Format("{0:C0}", item.CurrentBalance) : "-")</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Rate of Return:</span>
                        <span class="text-ink">@(item.AvgRateReturn > 0 ? $"{item.AvgRateReturn.ToString()}%" : "-")</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Duration(Years):</span>
                        <span class="text-ink">@item.Years</span>
                    </div>
                    @if (item.AccountType != BankCreditUnionAccountTypeEnum.CertificateOfDeposit)
                    {
                        <div style="display: table-cell;">
                            <span>Annual Contribution:</span>
                            <span class="text-ink">@(item.AnnualContribtion > 0 ? string.Format("{0:C0}", item.AnnualContribtion) : "-")</span>
                        </div>
                    }
                </div>
            </div>
        </div>
    }
    <h4 style="margin-bottom:0;padding-left:10px">Brokerage/Advisory Accounts</h4>
    @foreach (var item in Model.ClientLoginData.BrokerageAdvisoryAccounts)
    {
        <div style="border:1px solid #c6c8ca;margin:10px;padding:15px;border-radius:10px">
            <div style="width: 100%; display: table;">
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Nickname:</span>
                        <span class="text-ink">@item.Nickname</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Type:</span>
                        <span class="text-ink">@item.AccountTypeString</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Owner:</span>
                        <span class="text-ink">@item.OwnByWithData</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Tax Classification:</span>
                        <span class="text-ink">@item.TaxClassificationString</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Purchase Price:</span>
                        <span class="text-ink">@(item.PurchasePrice > 0 ? string.Format("{0:C0}", item.PurchasePrice) : "-")</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Current Balance:</span>
                        <span class="text-ink">@(item.CurrentBalance > 0 ? string.Format("{0:C0}", item.CurrentBalance) : "-")</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Rate of Return:</span>
                        <span class="text-ink">@(item.AvgRateReturn > 0 ? $"{item.AvgRateReturn.ToString()}%" : "-")</span>
                    </div>
                </div>
                <div style="width: 500px; display: table-row">
                    <div style="display: table-cell;">
                        <span>Duration(Years):</span>
                        <span class="text-ink">@item.Years</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Annual Contribution:</span>
                        <span class="text-ink">@(item.AnnualContribtion > 0 ? string.Format("{0:C0}", item.AnnualContribtion) : "-")</span>
                    </div>
                </div>
            </div>
        </div>
    }
    <h4 style="margin-bottom:0;padding-left:10px">Life/Annuity Contracts</h4>
    @foreach (var item in Model.ClientLoginData.LifeAnnuityContracts)
    {
        <div style="border:1px solid #c6c8ca;margin:10px;padding:15px;border-radius:10px">
            <div style="width: 100%; display: table;">
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Account Name:</span>
                        <span class="text-ink">@item.AccountName</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Nickname:</span>
                        <span class="text-ink">@item.Nickname</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Contract Type:</span>
                        <span class="text-ink">@item.TypeString</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Type:</span>
                        <span class="text-ink">@item.LifeAnnuityContractTypeString</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Date of Issue:</span>
                        <span class="text-ink">@item.IssueDate.ToString("MMM dd, yyyy")</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Owner:</span>
                        <span class="text-ink">@item.OwnByWithData</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Insured:</span>
                        <span class="text-ink">@item.Insured</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Tax Classification:</span>
                        <span class="text-ink">@item.TaxClassificationString</span>
                    </div>
                </div>
                @if (item.ContractType == ContractTypeEnum.Life)
                {
                    <div style="display: table-row">
                        <div style="width: 500px; display: table-cell;">
                            <span>Contract Face Amount:</span>
                            <span class="text-ink">@(item.ContractFaceAmount > 0 ? string.Format("{0:C0}", item.ContractFaceAmount) : "-")</span>
                        </div>
                        <div style="display: table-cell;">
                            <span>Annual Premium Amount:</span>
                            <span class="text-ink">@(item.AnnualPremiumAmount > 0 ? string.Format("{0:C0}", item.AnnualPremiumAmount) : "-")</span>
                        </div>
                    </div>
                    <div style="display: table-row">
                        <div style="width: 500px; display: table-cell;">
                            <span>Cash Value:</span>
                            <span class="text-ink">@(item.CashValue > 0 ? string.Format("{0:C0}", item.CashValue) : "-")</span>
                        </div>
                    </div>
                }
                else
                {
                    <div style="display: table-row">
                        <div style="width: 500px; display: table-cell;">
                            <span>Current Balance:</span>
                            <span class="text-ink">@(item.CurrentBalance > 0 ? string.Format("{0:C0}", item.CurrentBalance) : "-")</span>
                        </div>
                        <div style="display: table-cell;">
                            <span>Rate of Return:</span>
                            <span class="text-ink">@(item.RateOfReturn > 0 ? $"{item.RateOfReturn.ToString()}%" : "-")</span>
                        </div>
                    </div>
                }
            </div>
        </div>
    }
}
<hr style="border-top: 1px solid #23588d;margin-top:30px" />